Skip to main content
PUT
Update Existing Campaign

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
integer
required

Body

application/json

Request to update a campaign.

name
string | null
Required string length: 1 - 255
start_parameter
string | null
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9_-]+$
bonus_type
enum<string> | null
Available options:
balance,
subscription,
none,
tariff
is_active
boolean | null
balance_bonus_kopeks
integer | null
Required range: x >= 0
subscription_duration_days
integer | null
Required range: x >= 1
subscription_traffic_gb
integer | null
Required range: x >= 0
subscription_device_limit
integer | null
Required range: x >= 1
subscription_squads
string[] | null
tariff_id
integer | null
tariff_duration_days
integer | null
Required range: x >= 1
partner_user_id
integer | null

Response

Successful Response

Detailed campaign response.

id
integer
required
name
string
required
start_parameter
string
required
bonus_type
enum<string>
required
Available options:
balance,
subscription,
none,
tariff
is_active
boolean
required
created_at
string<date-time>
required
balance_bonus_kopeks
integer
default:0
balance_bonus_rubles
number
default:0
subscription_duration_days
integer | null
subscription_traffic_gb
integer | null
subscription_device_limit
integer | null
subscription_squads
string[]
tariff_id
integer | null
tariff_duration_days
integer | null
tariff
TariffInfo · object | null

Tariff info for campaign.

partner_user_id
integer | null
partner_name
string | null
created_by
integer | null
updated_at
string<date-time> | null